# FoundationClasses
TKernel
OSD

# OSD_Environment Class Reference

Management of system environment variables
An environment variable is composed of a variable name
and its value.
.

`#include <OSD_Environment.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Environment ()
| Creates the object Environment. .
Standard_EXPORT | OSD_Environment (const TCollection_AsciiString &Name)
| Creates an Environment variable initialized with value set to an empty AsciiString. .
Standard_EXPORT | OSD_Environment (const TCollection_AsciiString &Name, const TCollection_AsciiString &Value)
| Creates an Environment variable initialized with Value. .
Standard_EXPORT void | SetValue (const TCollection_AsciiString &Value)
| Changes environment variable value. Raises ConstructionError either if the string contains characters not in range of ' '...'~' or if the string contains the character '$' which is forbiden. .
Standard_EXPORT TCollection_AsciiString | Value ()
| Gets the value of an environment variable .
Standard_EXPORT void | SetName (const TCollection_AsciiString &name)
| Changes environment variable name. Raises ConstructionError either if the string contains characters not in range of ' '...'~' or if the string contains the character '$' which is forbiden. .
Standard_EXPORT TCollection_AsciiString | Name () const
| Gets the name of <me>. .
Standard_EXPORT void | Build ()
| Sets the value of an environment variable into system (physically). .
Standard_EXPORT void | Remove ()
| Removes (physically) an environment variable .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

TCollection_AsciiString | myName
TCollection_AsciiString | myValue
OSD_Error | myError

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Environment::OSD_Environment | ( |  | ) |

Standard_EXPORT OSD_Environment::OSD_Environment | ( | const TCollection_AsciiString & | Name | ) |

Standard_EXPORT OSD_Environment::OSD_Environment | ( | const TCollection_AsciiString & | Name,
|  | const TCollection_AsciiString & | Value
| ) |

## Member Function Documentation

Standard_EXPORT void OSD_Environment::Build | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Environment::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_Environment::Failed | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString OSD_Environment::Name | ( |  | ) | const

void OSD_Environment::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Environment::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Environment::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_Environment::Perror | ( |  | ) |

Standard_EXPORT void OSD_Environment::Remove | ( |  | ) |

Standard_EXPORT void OSD_Environment::Reset | ( |  | ) |

Standard_EXPORT void OSD_Environment::SetName | ( | const TCollection_AsciiString & | name | ) |

Standard_EXPORT void OSD_Environment::SetValue | ( | const TCollection_AsciiString & | Value | ) |

Standard_EXPORT TCollection_AsciiString OSD_Environment::Value | ( |  | ) |

## Field Documentation

OSD_Error OSD_Environment::myError `[private]`

TCollection_AsciiString OSD_Environment::myName `[private]`

TCollection_AsciiString OSD_Environment::myValue `[private]`

The documentation for this class was generated from the following file:

- OSD_Environment.hxx